%define pypi_name pip
%define build_wheel 1

%if 0%{?build_wheel}
%define python2_wheelname %{pypi_name}-%{version}-py2.py3-none-any.whl
%define python3_wheelname %python2_wheelname
%endif

Name:           python-pip
Version:        8.0.2
Release:        %mkrel 6
Group:          Development/Python
Summary:        pip installs packages. Python packages. An easy_install replacement
License:        MIT
URL:            https://pypi.python.org/pypi/pip
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         pip-allow-stripping-prefix-from-wheel-RECORD-files.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
%if 0%{?build_wheel}
BuildRequires:  python-pip
BuildRequires:  python-wheel
Provides:       pythonegg(2)(pip)
%endif
Requires:       python-setuptools
Requires:       python-pkg-resources

%description
`pip` is a tool for installing and managing Python packages, such as
those found in the `Python Package Index`_. It's a replacement for
easy_install_.

%package -n python3-pip
Summary:        A tool for installing and managing Python3 packages
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%if 0%{?build_wheel}
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
Provides:       pythonegg(3)(pip)
%endif
Requires:  python3-setuptools

%description -n python3-pip
Pip is a replacement for `easy_install
<http://peak.telecommunity.com/DevCenter/EasyInstall>`_.  It uses mostly the
same techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%autopatch -p1
%{__sed} -i '1d' pip/__init__.py

%build
%if 0%{?build_wheel}
%{__python2} setup.py bdist_wheel
%else
%py2_build
%endif

%if 0%{?build_wheel}
%{__python3} setup.py bdist_wheel
%else
%py3_build
%endif

%install
%if 0%{?build_wheel}
pip3 install -I dist/%{python3_wheelname} --root %{buildroot} --strip-file-prefix %{buildroot}
# TODO: we have to remove this by hand now, but it'd be nice if we wouldn't have to
# (pip install wheel doesn't overwrite)
rm %{buildroot}%{_bindir}/pip
%else
%py3_install
%endif

%if 0%{?build_wheel}
pip2 install -I dist/%{python2_wheelname} --root %{buildroot} --strip-file-prefix %{buildroot}
%else
%py2_install
%endif


%files
%doc LICENSE.txt PKG-INFO docs
%attr(755,root,root) %{_bindir}/pip
%attr(755,root,root) %{_bindir}/pip2*
%{python2_sitelib}/pip*

%files -n python3-pip
%doc LICENSE.txt PKG-INFO docs
%attr(755,root,root) %{_bindir}/pip3*
%{python3_sitelib}/pip*



%changelog
* Mon Feb 01 2016 joequant <joequant> 8.0.2-6.mga6
+ Revision: 929686
- rebuild for wheel

* Mon Feb 01 2016 joequant <joequant> 8.0.2-5.mga6
+ Revision: 929685
- bump in queue
- fix wheel breakage - bootstrap

  + philippem <philippem>
    - enable wheel

* Thu Jan 28 2016 philippem <philippem> 8.0.2-2.mga6
+ Revision: 928459
- need to re bootstrap
- enable patch for wheel

* Sun Jan 24 2016 joequant <joequant> 8.0.2-1.mga6
+ Revision: 926779
- upgrade to 8.0.2

* Wed Oct 07 2015 tv <tv> 7.1.2-5.mga6
+ Revision: 886741
- rebuild for python 3.5

* Wed Oct 07 2015 joequant <joequant> 7.1.2-4.mga6
+ Revision: 886675
- upgrade to 3.5

* Wed Sep 23 2015 philippem <philippem> 7.1.2-3.mga6
+ Revision: 882298
- Rebuild as wheel for Python 3.5

* Tue Sep 22 2015 philippem <philippem> 7.1.2-2.mga6
+ Revision: 882272
- rebuild without wheel, first step for Python 3.5

* Sun Aug 30 2015 joequant <joequant> 7.1.2-1.mga6
+ Revision: 871364
- upgrade to 7.1.2

* Sat Aug 22 2015 joequant <joequant> 7.1.1-1.mga6
+ Revision: 868008
- upgrade to 7.1.1

* Sun Aug 02 2015 joequant <joequant> 7.1.0-1.mga6
+ Revision: 860857
- upgrade to 7.1.0

* Tue Apr 28 2015 philippem <philippem> 6.1.1-2.mga5
+ Revision: 820817
- update to 6.1.1 fix mga#15748

* Wed Jan 07 2015 philippem <philippem> 1.5.6-8.mga5
+ Revision: 809189
- fix CVE-2014-8991 mga#14969

* Wed Oct 15 2014 umeabot <umeabot> 1.5.6-7.mga5
+ Revision: 739105
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.5.6-6.mga5
+ Revision: 729320
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.5.6-5.mga5
+ Revision: 688216
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 1.5.6-4.mga5
+ Revision: 632194
- add egg provides

* Sat May 31 2014 pterjan <pterjan> 1.5.6-3.mga5
+ Revision: 628885
- Rebuild for new Python

* Sat May 24 2014 philippem <philippem> 1.5.6-2.mga5
+ Revision: 625292
- Rebuild as wheel for Python 3.4

* Fri May 23 2014 philippem <philippem> 1.5.6-1.mga5
+ Revision: 625238
- update to 1.5.6, first step for Python 3.4

* Sun Apr 20 2014 philippem <philippem> 1.5.4-1.mga5
+ Revision: 617149
- update to 1.5.4

* Sun Dec 01 2013 philippem <philippem> 1.4.1-4.mga4
+ Revision: 554518
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 543939
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.1-2.mga4
+ Revision: 499119
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 23 2013 joequant <joequant> 1.4.1-1.mga4
+ Revision: 484288
- update to 1.4.1

* Fri Jul 26 2013 philippem <philippem> 1.3.1-3.mga4
+ Revision: 458721
- Fix for CVE 2013-2099
- Add Python 3

* Wed May 08 2013 neoclust <neoclust> 1.3.1-2.mga3
+ Revision: 412711
- fix proxy support
- New version ( fix CVE-2013-1888 ) mga #10007)

* Tue Mar 05 2013 neoclust <neoclust> 1.2.1-2.mga3
+ Revision: 401418
- Add missing deps ( mga #9246 )

* Mon Jan 28 2013 joequant <joequant> 1.2.1-1.mga3
+ Revision: 392901
- imported package python-pip

